# help2man is too old on rhel <= 6 to support `--version-string`-switch.
# Drop this on update to v0.9.4, because all built executables will
# properly support `--version`-switch then.
%if 0%{?fedora} || 0%{?rhel} >= 7
%bcond_without	man
%else
%bcond_with	man
%endif


Name:		fstransform
Version:	0.9.3
Release:	1%{?dist}
Summary:	Tool for in-place file-system conversion without backup

License:	GPLv3+
URL:		https://github.com/cosmos72/%{name}
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.bz2

# Backported from upstream master.
# Drop on update to v0.9.4.
Patch0:		%{name}-0.9.3-use_bash.patch
Patch1:		%{name}-0.9.3-fix_Wdeprecated.patch
Patch2:		%{name}-0.9.3-fix_Wliteral-suffix.patch
Patch3:		%{name}-0.9.3-fix_Wmaybe-uninitialized.patch
Patch4:		%{name}-0.9.3-fix_Wreturn-type.patch
Patch5:		%{name}-0.9.3-clean_trailing_whitespace.patch
Patch6:		%{name}-0.9.3-regenerate_autotools.patch

BuildRequires:	gcc-c++
%if %{with man}
BuildRequires:	help2man
%endif # with man

Requires:	coreutils
Requires:	util-linux
Requires:	which

%description
fstransform is a tool to change a file-system from one format
to another, for example from jfs/xfs/reiser to ext2/ext3/ext4,
in-place and without the need for backup.


%prep
%autosetup -n %{name}-%{version}-src -p 1

# Make sure Autotools files have proper timestamps.
/bin/touch aclocal.m4 configure Makefile.am Makefile.in


%build
%configure --disable-silent-rules
%make_build


%install
%make_install

%if %{with man}
# Create man-pages.
%{__mkdir} -p %{buildroot}%{_mandir}/man8
for f in %{buildroot}%{_sbindir}/* ; do
	n="$(echo ${f} | %{__sed} -e 's!^%{buildroot}%{_sbindir}/!!g')"
	%{_bindir}/help2man -N -s 8 --version-string='%{version}'	\
		-o %{buildroot}%{_mandir}/man8/${n}.8 ${f}
done
%endif # with man


%check
%make_build check


%files
%doc doc/*
%doc ChangeLog
%doc README
%doc TODO
%license AUTHORS
%license COPYING
%if %{with man}
%{_mandir}/man8/fsmove.8*
%{_mandir}/man8/fsremap.8*
%{_mandir}/man8/%{name}.8*
%endif # with man
%{_sbindir}/fsmove
%{_sbindir}/fsremap
%{_sbindir}/%{name}


%changelog
* Wed Aug 23 2017 Björn Esser <besser82@fedoraproject.org> - 0.9.3-1
- Initial import (rhbz#1484166)

* Tue Aug 22 2017 Björn Esser <besser82@fedoraproject.org> - 0.9.3-0.1
- Initial rpm release (rhbz#1484166)
